Method: projects.locations.dataStores.get

Gets a DataStore.

HTTP request

GET https://discoveryengine.googleapis.com/v1alpha/{name=projects/*/locations/*/dataStores/*}

The URL uses gRPC Transcoding syntax.

Path parameters

Parameters
name

string

Required. Full resource name of DataStore, such as projects/{project}/locations/{location}/collections/{collectionId}/dataStores/{dataStoreId}.

If the caller does not have permission to access the DataStore, regardless of whether or not it exists, a PERMISSION_DENIED error is returned.

If the requested DataStore does not exist, a NOT_FOUND error is returned.

Query parameters

Parameters
view

enum (DataStoreView)

Optional. The view to apply to the returned DataStore. Defaults to DataStoreView.DATA_STORE_VIEW_BASIC if unspecified.

DataStoreView.DATA_STORE_VIEW_FULL additionally populates DataStore.icon_uri for a connector-backed data store. Resolving the connector icon requires extra lookups, so request it only when the caller renders the icon.

Request body

The request body must be empty.

Response body

If successful, the response body contains an instance of DataStore.

Authorization scopes

Requires one of the following OAuth scopes:

  • https://www.googleapis.com/auth/cloud-platform
  • https://www.googleapis.com/auth/discoveryengine.assist.readwrite
  • https://www.googleapis.com/auth/discoveryengine.readwrite
  • https://www.googleapis.com/auth/discoveryengine.serving.readwrite

For more information, see the Authentication Overview.

IAM Permissions

Requires the following IAM permission on the name resource:

  • discoveryengine.dataStores.get

For more information, see the IAM documentation.